<template>
<div
	:class="class_name"
	v-on:click="onClick"
	v-on:mouseover="onHover"
><slot /></div>
</template>

<script>
export default {
	computed: {
		class_name: function () {
			return {
				"item": true,
				"highlighted": this.highlighted,
				"selected": this.selected
			}
		}
	},
	methods: {
		onClick: function () {
			this.$emit("click", this.id)
		},
		onHover: function () {
			this.$emit("hover", this.id)
		}
	},
	name: "standard-item",
	props: [ "id", "highlighted", "selected" ]
}
</script>

<style lang="less" src="./styles/Item.less" scoped></style>